## START: Set by rpmautospec
## (rpmautospec version 0.6.4)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-txtorcon
Version:        23.11.0
Release:        %autorelease
Summary:        Twisted-based Tor controller client, with state-tracking and     configuration abstractions.     https://txtorcon.readthedocs.org     https://github.com/meejah/txtorcon

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/meejah/txtorcon
Source:         %{pypi_source txtorcon}

Patch0:         00-remove-examples.patch

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
txtorcon is an implementation of the control-spec for Tor using the Twisted
networking library for Python.

This is useful for writing utilities to control or make use of Tor in
event-based Python programs. If your Twisted program supports endpoints
(like twistd does) your server or client can make use of Tor immediately,
with no code changes. Start your own Tor or connect to one and get live stream,
circuit, relay updates; read and change config; monitor events; build circuits;
create onion services; etcetera.}

%description %_description

%package -n     python3-txtorcon
Summary:        %{summary}

%description -n python3-txtorcon %_description


%prep
%autosetup -p1 -n txtorcon-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import


%files -n python3-txtorcon -f %{pyproject_files}
%exclude %{_datadir}/txtorcon/__pycache__


%changelog
## START: Generated by rpmautospec
* Sat Jul 06 2024 Kyle Bloom <kylejbloom@gmail.com> - 23.11.0-1
- Uncommitted changes
## END: Generated by rpmautospec
